package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;


public class Knight extends Player {

    protected String name;
    Weapon weapon;
    private static final int maxHP = 130;
    private static final int maxMP = 70;

    public Knight(String name){
        Weapon knightWeapon = new Sword();
        super(name, maxHP, maxMP, knightWeapon);
    }

    @Override
    public void lightAttack(Entity target) {
        target.takeDamage(22);
    }


    @Override
    public void specialAbility(Entity target) {
        target.takeDamage(30);
        this.mp -= 25;
        target.stun(true);
    }
}
